Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.local
Class LocalEventStoreImpl<E,P extends Comparable<P>,C>

Show UML class diagram

    java.lang.Object

          com.hammurapi.eventbus.local.LocalEventStoreImpl<E,P,C>

Type Parameters:
  `E` -
  `P` -
  `C` -

All Implemented Interfaces:
  EventStore<E,P,C,AbstractEventBus.Handle<E,P,C,Long>,LocalEventStore<E,P,C>>, LocalEventStore<E,P,C>

    public class LocalEventStoreImpl<E,P extends Comparable<P>,C>

extends
implements LocalEventStore<E,P,C>

Implementation of event store.

Nested Class Summary
`static class` | `LocalEventStoreImpl.Config<E,P extends Comparable<P>,C>` Config class with bound generic parameters.
`protected static class` | `LocalEventStoreImpl.LocalEventDeputyStore<E,P extends Comparable<P>,C>`
`protected static class` | `LocalEventStoreImpl.LocalEventLiveView<E,P extends Comparable<P>,C>`
`protected static class` | `LocalEventStoreImpl.LocalEventUnmodifiableStore<E,P extends Comparable<P>,C>`

Constructor Summary
`LocalEventStoreImpl(LocalEventStoreImpl.Config<E,P,C> config)`

Method Summary
`protected LocalEventStore<E,P,C>` | `createDeputy()`
`protected LocalEventStore<E,P,C>` | `createLiveView( selector)`
`LocalEventStore<E,P,C>` | `createUnmodifiableFacade()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalEventStoreImpl

    public LocalEventStoreImpl(LocalEventStoreImpl.Config<E,P,C> config)

Method Detail

### createDeputy

    protected LocalEventStore<E,P,C> createDeputy()

### createUnmodifiableFacade

    public LocalEventStore<E,P,C> createUnmodifiableFacade()

### createLiveView

    protected LocalEventStore<E,P,C> createLiveView( selector)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD